Bug 17640 - t/db_dependent/Template/Plugin/Categories.t is failing
Summary: t/db_dependent/Template/Plugin/Categories.t is failing
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 15407
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-16 09:41 UTC by Jonathan Druart
Modified: 2018-06-04 20:10 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17640: Fix t/db_dependent/Template/Plugin/Categories.t (2.39 KB, patch)
2016-11-16 09:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17640: Fix t/db_dependent/Template/Plugin/Categories.t (2.44 KB, patch)
2016-11-16 11:21 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 17640: Fix t/db_dependent/Template/Plugin/Categories.t (2.50 KB, patch)
2016-11-16 15:49 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 17640: (QA followup) Add more tests (2.66 KB, patch)
2016-11-16 15:49 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 17640: Fix t/db_dependent/Template/Plugin/Categories.t (2.55 KB, patch)
2016-11-16 15:53 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 17640: (QA followup) Add more tests (2.71 KB, patch)
2016-11-16 15:53 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 17640 [QA Followup] - Remove any outstanding issues before removing patrons (902 bytes, patch)
2016-11-16 15:53 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 17640: (Jonathan complain followup) Use Koha::*->search->delete instead (1.28 KB, patch)
2016-11-16 16:16 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-11-16 09:41:12 UTC

    
Comment 1 Jonathan Druart 2016-11-16 09:45:09 UTC
Created attachment 57530 [details] [review]
Bug 17640: Fix t/db_dependent/Template/Plugin/Categories.t

These tests fail since commit 6ee8dd3a597d08ccc5122473e55790d3f21d5163
    Bug 15407: Koha::Patron::Categories - replace C4::Category->all

Indeed the patron categories plugin now returns a
Koha::Patron::Categories object and does not set a 'selected' flag.
We do not need this flag (`git grep Categories.all **/*.tt` to trust me)

Note that this patch also add a patron category to make the test passes
even if no category exist.

Test plan:
  prove t/db_dependent/Template/Plugin/Categories.t
should return green
Comment 2 Kyle M Hall 2016-11-16 11:21:31 UTC
Created attachment 57537 [details] [review]
Bug 17640: Fix t/db_dependent/Template/Plugin/Categories.t

These tests fail since commit 6ee8dd3a597d08ccc5122473e55790d3f21d5163
    Bug 15407: Koha::Patron::Categories - replace C4::Category->all

Indeed the patron categories plugin now returns a
Koha::Patron::Categories object and does not set a 'selected' flag.
We do not need this flag (`git grep Categories.all **/*.tt` to trust me)

Note that this patch also add a patron category to make the test passes
even if no category exist.

Test plan:
  prove t/db_dependent/Template/Plugin/Categories.t
should return green

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 3 Tomás Cohen Arazi 2016-11-16 15:49:37 UTC
Created attachment 57555 [details] [review]
Bug 17640: Fix t/db_dependent/Template/Plugin/Categories.t

These tests fail since commit 6ee8dd3a597d08ccc5122473e55790d3f21d5163
    Bug 15407: Koha::Patron::Categories - replace C4::Category->all

Indeed the patron categories plugin now returns a
Koha::Patron::Categories object and does not set a 'selected' flag.
We do not need this flag (`git grep Categories.all **/*.tt` to trust me)

Note that this patch also add a patron category to make the test passes
even if no category exist.

Test plan:
  prove t/db_dependent/Template/Plugin/Categories.t
should return green

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Tomás Cohen Arazi 2016-11-16 15:49:44 UTC
Created attachment 57556 [details] [review]
Bug 17640: (QA followup) Add more tests

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 5 Kyle M Hall 2016-11-16 15:53:19 UTC
Created attachment 57557 [details] [review]
Bug 17640: Fix t/db_dependent/Template/Plugin/Categories.t

These tests fail since commit 6ee8dd3a597d08ccc5122473e55790d3f21d5163
    Bug 15407: Koha::Patron::Categories - replace C4::Category->all

Indeed the patron categories plugin now returns a
Koha::Patron::Categories object and does not set a 'selected' flag.
We do not need this flag (`git grep Categories.all **/*.tt` to trust me)

Note that this patch also add a patron category to make the test passes
even if no category exist.

Test plan:
  prove t/db_dependent/Template/Plugin/Categories.t
should return green

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Kyle M Hall 2016-11-16 15:53:26 UTC
Created attachment 57558 [details] [review]
Bug 17640: (QA followup) Add more tests

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Kyle M Hall 2016-11-16 15:53:29 UTC
Created attachment 57559 [details] [review]
Bug 17640 [QA Followup] - Remove any outstanding issues before removing patrons

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 8 Kyle M Hall 2016-11-16 15:54:23 UTC
Pushed to master for 16.11, thanks Jonathan, Tomas!
Comment 9 Tomás Cohen Arazi 2016-11-16 16:16:58 UTC
Created attachment 57567 [details] [review]
Bug 17640: (Jonathan complain followup) Use Koha::*->search->delete instead

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 10 Kyle M Hall 2016-11-16 16:18:39 UTC
Second followup pushed to master, thanks again Tomas!
Comment 11 Mason James 2016-12-14 11:18:22 UTC
Pushed to 16.05.x, for 16.05.06 release